MinMaxIndx
Statistical Operations

Primitives for computing the minimal and the maximal values with their indices (X and Y coordinates) of an image. More...

## MinMaxIndx

If there are several minima and maxima in the selected region of interest, the function returns ones on the top leftmost position.

The scratch buffer is required by the functions.

### Common parameters for nppiMinIndx functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  nCOI | Channel_of_Interest Number.
  pMinValue | Pointer to the minimum value.
  pMaxValue | Pointer to the maximum value.
  pMinIndex | Pointer to the indicies (X and Y coordinates) of the minimum value.
  pMaxIndex | Pointer to the indicies (X and Y coordinates) of the maximum value.
  pDeviceBuffer | Buffer to a scratch memory. Use nppiMinMaxIndxGetBufferHostSize_XX_XXX to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_COI_ERROR if an invalid channel of interest is specified. If any of pMinValue, pMaxValue, pMinIndex, or pMaxIndex is not needed, zero pointer must be passed correspondingly. If the mask is filled with zeros, then all the returned values are zeros, i.e., pMinIndex = {0, 0}, pMaxIndex = {0, 0}, pMinValue = 0, pMaxValue = 0.

NppStatus | nppiMinMaxIndx_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 8-bit unsigned char image. More...
NppStatus | nppiMinMaxIndx_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 8-bit signed char image. More...
NppStatus | nppiMinMaxIndx_8s_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 16-bit unsigned short image. More...
NppStatus | nppiMinMaxIndx_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 32-bit floating point image. More...
NppStatus | nppiMinMaxIndx_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8u_C1MR_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit unsigned image MinMaxIndx. More...
NppStatus | nppiMinMaxIndx_8u_C1MR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8s_C1MR_Ctx (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit signed image MinMaxIndx. More...
NppStatus | nppiMinMaxIndx_8s_C1MR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_16u_C1MR_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 16-bit unsigned image MinMaxIndx. More...
NppStatus | nppiMinMaxIndx_16u_C1MR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_32f_C1MR_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked one-channel 32-bit floating point image MinMaxIndx. More...
NppStatus | nppiMinMaxIndx_32f_C1MR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8u_C3CR_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_8u_C3CR (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8s_C3CR_Ctx (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit signed image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_8s_C3CR (const Npp8s *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_16u_C3CR_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_16u_C3CR (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_32f_C3CR_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_32f_C3CR (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int nCOI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8u_C3CMR_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit unsigned image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_8u_C3CMR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pMinValue, Npp8u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_8s_C3CMR_Ctx (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit signed image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_8s_C3CMR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8s *pMinValue, Npp8s *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_16u_C3CMR_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 16-bit unsigned image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_16u_C3CMR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp16u *pMinValue, Npp16u *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)
NppStatus | nppiMinMaxIndx_32f_C3CMR_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Masked three-channel 32-bit floating point image MinMaxIndx affecting only single channel. More...
NppStatus | nppiMinMaxIndx_32f_C3CMR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp32f *pMinValue, Npp32f *pMaxValue, NppiPoint *pMinIndex, NppiPoint *pMaxIndex, Npp8u *pDeviceBuffer)

## MinMaxIndxGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the MinMaxIndx primitives.
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8u_C1R. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8s_C1R. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_16u_C1R. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_32f_C1R. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8u_C1MR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8s_C1MR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_16u_C1MR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_32f_C1MR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C3CR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8u_C3CR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C3CR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C3CR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8s_C3CR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C3CR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C3CR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_16u_C3CR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C3CR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C3CR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_32f_C3CR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C3CR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8u_C3CMR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_8s_C3CMR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_8s_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_16u_C3CMR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_16u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMinMaxIndx_32f_C3CMR. More...
NppStatus | nppiMinMaxIndxGetBufferHostSize_32f_C3CMR (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the minimal and the maximal values with their indices (X and Y coordinates) of an image.

## Function Documentation

NppStatus nppiMinMaxIndx_16u_C1MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_16u_C1MR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 16-bit unsigned image MinMaxIndx.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 16-bit unsigned short image.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_16u_C3CMR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_16u_C3CMR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 16-bit unsigned image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_16u_C3CR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_16u_C3CR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp16u * | pMinValue,
|  | Npp16u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_32f_C1MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_32f_C1MR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 32-bit floating point image MinMaxIndx.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 32-bit floating point image.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_32f_C3CMR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_32f_C3CMR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 32-bit floating point image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_32f_C3CR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_32f_C3CR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp32f * | pMinValue,
|  | Npp32f * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8s_C1MR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8s_C1MR_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit signed image MinMaxIndx.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 8-bit signed char image.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8s_C3CMR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8s_C3CMR_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit signed image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8s_C3CR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8s_C3CR_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8s * | pMinValue,
|  | Npp8s * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit signed image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8u_C1MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8u_C1MR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit unsigned image MinMaxIndx.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Computes the minimal and the maximal pixel values with their X and Y coordinates of 1-channel 8-bit unsigned char image.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8u_C3CMR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8u_C3CMR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit unsigned image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndx_8u_C3CR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiMinMaxIndx_8u_C3CR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pMinValue,
|  | Npp8u * | pMaxValue,
|  | NppiPoint * | pMinIndex,
|  | NppiPoint * | pMaxIndex,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image MinMaxIndx affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMinMaxIndx functions.

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_16u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_16u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_16u_C3CR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_16u_C3CR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_32f_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_32f_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_32f_C3CR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_32f_C3CR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8s_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8s_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8s_C3CR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8s_C3CR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C3CR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinMaxIndxGetBufferHostSize_8u_C3CR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMinMaxIndx_8u_C3CR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2018 NVIDIA Corporation